Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2454743002: Only call X11DesktopHandler for USE_X11 builds (Closed)

Created:
1 year, 11 months ago by tonikitoo
Modified:
1 year, 11 months ago
CC:
chromium-reviews, tfarina, fwang
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Only call X11DesktopHandler for USE_X11 builds ... and the same applies to calling ui::GetCustomFramePrefDefault, implemented in ui/base/x/x11_util.cc BUG=295089 Committed: https://crrev.com/f2f307b06528f971698a6e729a89bd74d6a06b23 Cr-Commit-Position: refs/heads/master@{#427830}

Patch Set 1 #

Total comments: 4

Patch Set 2 : addressed sadrul's suggestion #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -2 lines) Patch
M chrome/browser/ui/browser_view_prefs.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/views/frame/browser_frame.cc View 1 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 28 (16 generated)
tonikitoo
PTAL
1 year, 11 months ago (2016-10-26 14:54:44 UTC) #3
fwang
This seems to be the right thing to do to avoid compiling X11 stuff. informal ...
1 year, 11 months ago (2016-10-26 15:12:23 UTC) #6
sadrul
https://codereview.chromium.org/2454743002/diff/1/chrome/browser/ui/browser_view_prefs.cc File chrome/browser/ui/browser_view_prefs.cc (right): https://codereview.chromium.org/2454743002/diff/1/chrome/browser/ui/browser_view_prefs.cc#newcode35 chrome/browser/ui/browser_view_prefs.cc:35: #if defined(OS_LINUX) && !defined(OS_CHROMEOS) && defined(USE_X11) I would remove ...
1 year, 11 months ago (2016-10-26 16:39:47 UTC) #10
tonikitoo
https://codereview.chromium.org/2454743002/diff/1/chrome/browser/ui/browser_view_prefs.cc File chrome/browser/ui/browser_view_prefs.cc (right): https://codereview.chromium.org/2454743002/diff/1/chrome/browser/ui/browser_view_prefs.cc#newcode35 chrome/browser/ui/browser_view_prefs.cc:35: #if defined(OS_LINUX) && !defined(OS_CHROMEOS) && defined(USE_X11) On 2016/10/26 16:39:47, ...
1 year, 11 months ago (2016-10-26 16:47:24 UTC) #11
Lei Zhang
lgtm with sadrul's approval.
1 year, 11 months ago (2016-10-26 17:07:36 UTC) #12
Tom (Use chromium acct)
lgtm
1 year, 11 months ago (2016-10-26 17:37:16 UTC) #14
sadrul
lgtm
1 year, 11 months ago (2016-10-26 17:48:57 UTC) #15
rjkroege
lgtm fwiw.
1 year, 11 months ago (2016-10-26 18:47:06 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2454743002/20001
1 year, 11 months ago (2016-10-26 19:37:31 UTC) #22
commit-bot: I haz the power
Committed patchset #2 (id:20001)
1 year, 11 months ago (2016-10-26 21:54:16 UTC) #24
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/f2f307b06528f971698a6e729a89bd74d6a06b23 Cr-Commit-Position: refs/heads/master@{#427830}
1 year, 11 months ago (2016-10-26 21:57:32 UTC) #26
fwang
1 year, 11 months ago (2016-10-27 17:01:18 UTC) #28
Message was sent while issue was closed.

          

Powered by Google App Engine
This is Rietveld 408576698